<template>
  <div class="container--small bio">
    <div class="banner--int"></div>
    <div class="text-and-img text-and-img--right">
      <div class="col">
        <img :alt="imgAlt1" class="img-fluid" src="~assets/img/rive-sud.jpg" />
      </div>
      <div class="col">
        <h2>Parcours scolaire</h2>
        <p>
          Ma formation web à débuté avec le bac STI2D durant lequel j'ai appris
          les bases du HTML, CSS. J'ai aussi eu l'occasion de travailler avec
          Arduino sur divers projets, notamment celui d'une serre automatisée.
        </p>
        <p>
          J'ai ensuite poursuivi mes études à l'IUT de Lens avec un DUT MMI. Ce
          dernier m'a permis d'avoir un bagage dans trois domaines : la
          communication, l'audiovisuel et le web. Lors de mon dernier semestre
          de DUT, je me suis spécialisé dans la branche du web, côté
          développement front-end.
        </p>
        <p>
          Enfin, j'ai terminé mes études par la licence CréaWeb à l'IUT de Lens.
          Cette formation m'a apporté de nouvelles connaissances. En effet, j'ai
          eu l'occasion de voir de nombreuses technos comme : Javascript, jQuery
          Angular, Php, Laravel, Météor, SQL, GIT ...
        </p>
        <h2>Expérience à l'étranger</h2>
        <p>
          J'ai eu la chance de pouvoir intégrer ICT2BIZ, une start-up Maltaise.
          Cette expérience a été très enrichissante, autant du côté
          professionnel que du côté personnel. J'ai pu voir une autre façon de
          travailler au quotidien, une organisation différente, mais aussi des
          technologies différentes. J'ai principalement travaillé avec le
          framework Angular sur des projets de conception d'application mobile.
          J'ai découvert un autre pays, une autre culture, c'était très
          dépaysant !
        </p>
      </div>
    </div>
    <div class="text-and-img text-and-img--left">
      <div class="col">
        <img
          :alt="imgAlt2"
          class="img-fluid"
          src="~assets/img/concert-mjc.jpg"
        />
      </div>
      <div class="col">
        <h2>Côté pro</h2>
        <p>
          Après mes études, j'ai démarré ma carrière à la mairie de Lens, au
          sein de service communication. Ma mission portait sur la refonte du
          site de la ville. J'ai également été amené a travaillé sur des projets
          graphiques et de montages vidéos. Ensuite, j'ai rejoint Telmedia, une
          agence web dédiée au secteur public en tant que développeur Front-End
          au départ. J'ai eu l'occasion de développer mes compétences et
          d'apprendre de nouvelles choses comme : SASS, Gulp, ES6, Vuejs,
          NuxtJs, Ionic. Par la suite, je suis passé côté Back-End en
          travaillant sur des missions basées sur les technos Java, JEE, Java
          Swing, Spring, Rest Api.
        </p>
        <p>
          En Janvier 2021 je me suis lancé dans le monde des indépendants en fondant ma micro entreprise LM SOFTWARE.
          J'ai débuté mon aventure freelance par une mission en tant que développeur full stack Vuejs / Java Spring chez Auchan France.
          J'ai travaillé sur le périmètre du tunnel de commande du site auchan.fr.
        </p>
        <p>
          En Avril 2022 changement de cadre avec une nouvelle mission en tant que développeur full stack Angular / Java Spring chez Adeo.
          Je contribue aux projets en relation avec les fournisseurs de Adeo.
        </p>
        <h2>Côté perso</h2>
        <p>
          Ma première passion est la musique, j'en écoute et j'en pratique
          énormément. Mes influences tournent autour du punk rock, du pop-punk
          et de l'indie, le tout orienté scène alternative. Je suis bassite
          depuis le lycée. J'ai commencé directement en groupe en apprenant sur
          le tas. Depuis mes débuts, j'ai eu plusieurs groupes (Non Fiction, The
          Other Side, Why T-Rex Why ?) et en ce moment, je suis en train de
          monter un tout nouveau projet. Si cette partie t'intéresse, je
          t'invite à aller checker ma page qui concerne mes groupes.
        </p>
        <p>
          Sinon, j'aime aussi les jeux-vidéos. Parmi mes licences préférées, il
          y a: Halo, Gears of War, The Elder Scrolls, Fallout, Fifa et j'en
          passe...
        </p>
        <p>
          Je suis également fan de football, supporter du Racing club de Lens
          depuis tout petit, et de l'équipe de France.
        </p>
        <p>
          J'aime aussi la nature, faire des randonnées en forêt ou des ballades
          en vélos pour me retrouver au milieu de la nature.
        </p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  head() {
    return {
      title: 'Lenny Mans: Développeur web et mobile full stack Java Spring / Vuejs - Ma Biographie',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: `Je parle un peu de moi, de mes projets et de ce que j'aime.`
        }
      ]
    }
  },
  data() {
    return {
      imgAlt1: 'Portrait de moi-même',
      imgAlt2: `Photo prise lors d'un concert`
    }
  }
}
</script>

<style>
.bio.container--small::before {
  content: '';
  width: 100vw;
  height: 100%;
  margin-left: calc(-50vw + 50%);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-image: linear-gradient(
    to right top,
    #ffffff,
    #f9f9f9,
    #f2f2f2,
    #ececec,
    #e6e6e6
  );
}

.bio .banner--int {
  background-image: url('~assets/img/couv.jpg');
  background-position: top;
}

.bio .text-and-img {
  background-color: #fff;
  padding: 2rem;
  box-shadow: 0 7px 30px rgba(51, 51, 51, 0.2);
  border-radius: 10px;
}
</style>
